Description

Hello,

I have a few Musepack SV7 and SV8 audio files.

On Ubuntu 14.04, Audacious 3.5.1 does not play my musepack SV8 files but it plays the SV7 ones.

[mpc @ 0x7f6efc00a4c0] Not a Musepack file

ffaudio: avformat_open_input failed for file:///home/.../foo-SV8.mpc: Invalid data found when proc

essing input.

 

It reads the tags of my SV7 album but not those of the SV8 ones.

History

#1 - August 07, 2014 21:23 - John Lindgren

- Tracker changed from Bug to Feature

#2 - August 08, 2014 23:17 - John Lindgren

It appears that FFmpeg assumes any file ending in ".mpc" is Musepack SV7.  Compare:

https://github.com/FFmpeg/FFmpeg/blob/master/libavformat/mpc.c#L226

https://github.com/FFmpeg/FFmpeg/blob/master/libavformat/mpc8.c#L315

Note the .extensions = "mpc", only in the SV7 decoder.

#3 - September 06, 2014 16:35 - René Rhéaume

ffaudio was not really stable even with Musepack SV7.

I grabbed the old Musepack Audacious plugin code (on the Musepack SVN) and ported it to Audacious 3.2.x (GTK+ 3 is not stable enough for me

yet). The result is on https://github.com/repzilon/audacious-musepack . It uses libmpcdec (the reference library) for decoding ans plays both SV7 and

SV8 files.

#4 - September 25, 2014 02:05 - Ariadne Conill

Can you clarify what you mean by 'not really stable'?  This is the first we're hearing of it.

We dropped the old plugin a really long time ago because it did terrible things and thought ffaudio was adequate.  If we need to provide our own

plugin instead of using ffaudio, then we can do that, but we need to know more about the problem.
#5 - January 08, 2015 17:07 - Doug McMahon

The decoding of both SV7 & SV8 are fine here with ffaudio, obviously SV8 file can't have a .mpc ext. as things currently stand

(- without the ext then aud uses file content to determine avformat

If the ext info is removed from mpc.c then aud works fine with either SV7 or SV8 when both have a .mpc ext.

Ie., in both cases -

INFO probe.cc:59 [aud_file_find_decoder]: Matched FFmpeg Plugin by extension

Maybe ask FFmpeg if it's really needed in mpc.c. I see no issue with it being removed here

( or added to mpc8.c though never tried that..

#6 - December 02, 2019 20:42 - John Lindgren

- Status changed from New to Rejected

This ought to be fixed in ffmpeg, not Audacious.
